Robotsystem of the Robot Group Leipzig: MyRobot Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MyRobot Class Reference

Inherits AbstractRobot.

Inheritance diagram for MyRobot:

[legend]
Collaboration diagram for MyRobot:

[legend]
List of all members.

## Public Member Functions
| MyRobot ()
| ~MyRobot ()
virtual int | getSensors (sensor *sensors, int sensornumber)
| returns actual sensorvalues
virtual void | setMotors (const motor *motors, int motornumber)
| sets actual motorcommands
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getMotorNumber ()
| returns number of motors
virtual Position | getPosition () const
| returns position of the object
virtual Position | getSpeed () const
| returns linear speed vector of the object
virtual Position | getAngularSpeed () const
| returns linear speed vector of the object
virtual matrix::Matrix | getOrientation () const
| returns the orientation of the object
virtual paramval | getParam (const paramkey &key) const
virtual bool | setParam (const paramkey &key, paramval val)
virtual paramlist | getParamList () const
| The list of all parameters with there value as allocated lists.

## Detailed Description

Examples:

  integration/main.cpp.

## Constructor & Destructor Documentation

MyRobot | ( |  | ) | `[inline]`

~MyRobot | ( |  | ) | `[inline]`

## Member Function Documentation

virtual Position getAngularSpeed | ( |  | ) | const`[inline, virtual]`

returns linear speed vector of the object

Returns:
  vector (vx,vy,vz)

Implements Trackable.

virtual int getMotorNumber | ( |  | ) | `[inline, virtual]`

returns number of motors

Implements AbstractRobot.

virtual matrix::Matrix getOrientation | ( |  | ) | const`[inline, virtual]`

returns the orientation of the object

Returns:
  3x3 rotation matrix

Implements Trackable.

virtual paramval getParam | ( | const paramkey & | key | ) | const`[inline, virtual]`

virtual paramlist getParamList | ( |  | ) | const`[inline, virtual]`

The list of all parameters with there value as allocated lists.

Returns:
  list of key-value pairs

Reimplemented from Configurable.

virtual Position getPosition | ( |  | ) | const`[inline, virtual]`

returns position of the object

Returns:
  vector of position (x,y,z)

Implements Trackable.

virtual int getSensorNumber | ( |  | ) | `[inline, virtual]`

returns number of sensors

Implements AbstractRobot.

virtual int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[inline, virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Implements AbstractRobot.

virtual Position getSpeed | ( |  | ) | const`[inline, virtual]`

returns linear speed vector of the object

Returns:
  vector (vx,vy,vz)

Implements Trackable.

virtual void setMotors | ( | const motor * | motors,
|  | int | motornumber |
| ) |  |  | `[inline, virtual]`

sets actual motorcommands

Parameters:

  | motors | motors scaled to [-1,1]
  | motornumber | length of the motor array

Implements AbstractRobot.

virtual bool setParam | ( | const paramkey & | key,
|  | paramval | val |
| ) |  |  | `[inline, virtual]`

The documentation for this class was generated from the following file:

- selforg/examples/integration/main.cpp